import Vue from 'vue'
import Vuex from 'vuex'

Vue.use(Vuex)

export default new Vuex.Store({
  state: {
    sessionId: settingParam.sessionId,
    mainPage: mainPage,
    topMainHeight: '',// 主页面主体高度
  },
  getters: {// 提供获取state相关数据的方法
    getTopMainHeightFn(state) {// 获取PAL主页面主体高度
      //console.log('get height ' + state.topMainHeight);
      return state.topMainHeight;
    }
  },
  actions: {// 提供跟后台接口交互的方法，并且调用mutations提供的方法进行更新提交
    setTopMainHeightFn({commit, state}, height) {// 设置主页面主体高度更新
      commit("setTopMainHeightFn", height);
    }
  },
  mutations: {// 提供存储设置state数据的方法
    setTopMainHeightFn(state, height) {// 设置主页面主体高度更新
      state.topMainHeight = height;
    },
    edit(state, data) {
      for (let p in data) {
        state[p] = data[p];
      }
    }
  },
  modules: {
  }
})
